<html>
<head>
<title>Ogre::GLSLLinkProgram::CustomAttribute Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLSLLinkProgram.html">GLSLLinkProgram</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1GLSLLinkProgram_1_1CustomAttribute.html">CustomAttribute</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLSLLinkProgram::CustomAttribute Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLSLLinkProgram::CustomAttribute" -->
<p>Name / attribute list.  
 <a href="structOgre_1_1GLSLLinkProgram_1_1CustomAttribute.html#details">More...</a></p>

<p><a href="structOgre_1_1GLSLLinkProgram_1_1CustomAttribute-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLSLLinkProgram_1_1CustomAttribute.html#a452e3182449dd2b8fe437460a4a6dca9">CustomAttribute</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;_name, GLuint _attrib)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLSLLinkProgram_1_1CustomAttribute.html#af074c365e8a86d9b3759816f029b5fc5">name</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLSLLinkProgram_1_1CustomAttribute.html#a8398d3bead7d95abfaf7e0c095735d7a">attrib</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Name / attribute list. </p>

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00088">88</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a452e3182449dd2b8fe437460a4a6dca9"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::CustomAttribute::CustomAttribute" ref="a452e3182449dd2b8fe437460a4a6dca9" args="(const String &amp;_name, GLuint _attrib)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLSLLinkProgram_1_1CustomAttribute.html#a452e3182449dd2b8fe437460a4a6dca9">Ogre::GLSLLinkProgram::CustomAttribute::CustomAttribute</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLuint&#160;</td>
          <td class="paramname"><em>_attrib</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00092">92</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a8398d3bead7d95abfaf7e0c095735d7a"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::CustomAttribute::attrib" ref="a8398d3bead7d95abfaf7e0c095735d7a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="structOgre_1_1GLSLLinkProgram_1_1CustomAttribute.html#a8398d3bead7d95abfaf7e0c095735d7a">Ogre::GLSLLinkProgram::CustomAttribute::attrib</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00091">91</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>

</div>
</div>
<a class="anchor" id="af074c365e8a86d9b3759816f029b5fc5"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::CustomAttribute::name" ref="af074c365e8a86d9b3759816f029b5fc5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1GLSLLinkProgram_1_1CustomAttribute.html#af074c365e8a86d9b3759816f029b5fc5">Ogre::GLSLLinkProgram::CustomAttribute::name</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00090">90</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:22
</p>
</body>
</html>
